Tuesday, July 20, 2010

Package Hell

Well, having had some luck backporting zlib 1.2.5 to my OpenWRT router installs, I figured I'd try installing the Debian version I found on some of my XUbuntu installs: big mistake. Syslogs show gdm crash after first or second reboot. Digging deeper, things get a bit odd...

1. The zlib binaries I attempted to use: met all requirements to use the packages.

http://packages.debian.org/experimental/zlib-bin
http://packages.debian.org/experimental/zlib1g

2. The Ubuntu package set: as of Lucid, GDM is version 2.30 & libc6 version 2.11.1; libpixmap (also used by Xorg) is version 0.16

http://packages.ubuntu.com/lucid/gdm

http://packages.ubuntu.com/lucid/libpixman-1-0
http://packages.ubuntu.com/lucid/libc6
http://packages.ubuntu.com/lucid/libc-bin

3. The available Debian package set at time of writing: GDM is still at version 2.20; libc6 at 2.11.2; libpixmap at 0.18.

http://packages.debian.org/sid/gdm
http://packages.debian.org/experimental/libpixman-1-0
http://packages.debian.org/sid/libc6
http://packages.debian.org/sid/libc-bin
 
Despite upgrading to the newer libc6 & libpixmap, GDM was still busted. I dug deeper & found more packages: in fact, the pthread one stuck out as part of the error messages...

http://packages.debian.org/experimental/i386/gcc-4.5-base
http://packages.debian.org/sid/libpthread-stubs0
http://packages.debian.org/experimental/libgcc1

Another reboot: this time the logs mentioned libxml2 & libxklavier12 (can't seem to install that one)...

http://packages.debian.org/sid/libxml2

NOW IT WORKED!

I think I'll look into backporting zlib myself for Lucid, unless someone beats me to the punch. 7 other library updates for 1 basic compression library???

EDIT: don't forget the -dev & i686 packages for libc

EDIT2: complete package list for working set...

gcc-4.5-base_4.5.0-8_i386.deb
libc-bin_2.11.2-2_i386.deb
libc-dev-bin_2.11.2-2_i386.deb
libc6-dev_2.11.2-2_i386.deb
libc6-i686_2.11.2-2_i386.deb
libc6_2.11.2-2_i386.deb
libgcc1_4.5.0-8_i386.deb
libpixman-1-0_0.18.2-1_i386.deb
libpthread-stubs0_0.3-2_i386.deb
libxml2_2.7.7.dfsg-4_i386.deb
zlib-bin_1.2.5.dfsg-1_i386.deb
zlib1g-dev_1.2.5.dfsg-1_i386.deb
zlib1g_1.2.5.dfsg-1_i386.deb

No comments:

Post a Comment